%global realname skerl
%global upstream basho
%global git_tag 908d05a
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	1.1.0
Release:	4%{?dist}
Summary:	Skein hash function for Erlang, via NIFs
Group:		Development/Languages
# Original skein sources are in Public Domain
# c_src/brg_*.h files are licensed under BSD or GPL (w/o explicit GPL version)
# src/hex.erl and src/skerl.erl are licensed under MIT
License:	Public Domain and BSD and MIT or GPL+
URL:		https://github.com/basho/skerl
# wget --no-check-certificate https://github.com/basho/skerl/tarball/1.1.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-skerl-0001-Rewrote-hex-routines-under-MIT-license.patch
Patch2:		erlang-skerl-0002-Rewrote-Erlang-NIF-API-routines-under-MIT-license.patch
BuildRequires:	erlang-rebar
# erlang:load_nif/2
Requires:	erlang-erts%{?_isa} >= R13B-03
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Skein hash function for Erlang, via NIFs.


%prep
%setup -q -n %{upstream}-%{realname}-363daa7
%patch1 -p1
%patch2 -p1


%build
CFLAGS="%{optflags}" rebar compile -v


%install
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/hex.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 -D priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%check
rebar eunit skip_deps=true -v


%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/hex.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Tue Mar 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-4
- Add dependency on NIF API version
- Removed EL5 support from spec-file

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jun 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Rewrote problematic files and relicensed them under MIT

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Mon Jan 10 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0 (the same as previous git snapshot 1f6f580)

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20101112git1f6f580
- Initial build

